## mpg123 1.32.5

=== ports/cmake/src/libmpg123/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

option(NO_FEATURE_REPORT "Disable feature report function" OFF)
if(CMAKE_SYSTEM_NAME STREQUAL "Android")
    option(WITH_SSE "x86: build with SSE support if detected. Turn OFF for older devices where autodetection is misleading." ON)
endif()

include_directories("${CMAKE_CURRENT_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/")

include(../../cmake/CheckCPUArch.cmake)

if(HAVE_STDLIB_H)
    set(INCLUDE_STDLIB_H "#include <stdlib.h>")
else()
    set(INCLUDE_STDLIB_H "/* #include <stdlib.h> is not available on this system */")
endif()
if(HAVE_SYS_TYPES_H)
    set(INCLUDE_SYS_TYPE_H "#include <sys/types.h>")
else()
    set(INCLUDE_SYS_TYPE_H "/* #include <sys/types.h> is not available on this system */")
endif()


check_cpu_arch_x86(ARCH_IS_X86)
check_cpu_arch_x64(ARCH_IS_X64)
check_cpu_arch_arm32(ARCH_IS_ARM32)
check_cpu_arch_arm64(ARCH_IS_ARM64)

# PPC with AltiVec is missing. But probably obsolete enough for CMake users.

if(ARCH_IS_X64)
    set(MACHINE amd64)
elseif(ARCH_IS_X86)
    set(MACHINE x86)
elseif(ARCH_IS_ARM64)
    set(MACHINE arm64)
elseif(ARCH_IS_ARM32)
    set(MACHINE arm32)
else()
    message(WARNING "Unknown processor. Using generic optimizations.")
    set(MACHINE generic)
endif()
message(STATUS "Detected machine: ${MACHINE}")

set(TARGET lib${PROJECT_NAME})
add_library(${TARGET}
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/parse.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/frame.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/format.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct64.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/equalizer.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/id3.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/optimize.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/readers.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/tabinit.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/libmpg123.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/index.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/$<$<NOT:$<BOOL:${NO_ICY}>>:icy.c>"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/$<$<NOT:$<BOOL:${NO_ICY}>>:icy2utf8.c>"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/$<$<NOT:$<BOOL:${NO_LAYER1}>>:layer1.c>"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/$<$<NOT:$<OR:$<BOOL:${NO_LAYER1}>,$<BOOL:${NO_LAYER2}>>>:layer2.c>"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/$<$<NOT:$<BOOL:${NO_LAYER3}>>:layer3.c>"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/$<$<NOT:$<BOOL:${NO_NTOM}>>:ntom.c>"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/$<$<NOT:$<BOOL:${NO_8BIT}>>:synth_8bit.c>"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/$<$<NOT:$<BOOL:${NO_16BIT}>>:synth.c>"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/$<$<AND:$<BOOL:${HAVE_FPU}>,$<NOT:$<BOOL:${NO_32BIT}>>>:synth_s32.c>"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/$<$<AND:$<BOOL:${HAVE_FPU}>,$<NOT:$<BOOL:${NO_REAL}>>>:synth_real.c>"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/$<$<NOT:$<BOOL:${NO_STRING}>>:stringbuf.c>"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/$<$<NOT:$<BOOL:${NO_FEATURE_REPORT}>>:feature.c>"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/$<$<NOT:$<BOOL:${PORTABLE_API}>>:lfs_wrap.c>"
    $<TARGET_OBJECTS:compat>)

if(MSVC)
    if(MACHINE MATCHES "x86|amd64")
      find_program(YASM_ASSEMBLER yasm)
      if(NOT YASM_ASSEMBLER)
          message(WARNING "Couldn't find yasm assembler for optimizded decoders. Please set YASM_ASSEMBLER variable")
          set(MACHINE generic)
      endif()
    else()
      message(WARNING "Need work to support non-x86 assembly optimizations with MSVC.")
      set(MACHINE generic)
    endif()
endif()

if(MACHINE STREQUAL "amd64")
    if(HAVE_FPU)
        set(PLATFORM_DEFINITIONS OPT_MULTI OPT_X86_64 OPT_AVX OPT_GENERIC OPT_GENERIC_DITHER)
        set(PLATFORM_SOURCES
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct36_x86_64.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct64_x86_64_float.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_x86_64_float.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_x86_64_s32.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_x86_64_float.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_x86_64_s32.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct36_avx.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct64_avx_float.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_avx_float.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_avx_s32.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/getcpuflags_x86_64.S")
        target_sources(${TARGET} PRIVATE
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dither.c")
        if(ACCURATE_ROUNDING)
            list(APPEND PLATFORM_SOURCES
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_x86_64_accurate.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_x86_64_accurate.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_avx_accurate.S")
        else()
            list(APPEND PLATFORM_SOURCES
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct64_x86_64.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_x86_64.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_x86_64.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_avx.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct64_avx.S")
        endif()
    else()
        set(PLATFORM_DEFINITIONS OPT_GENERIC)
    endif()
elseif(MACHINE STREQUAL "x86")
    if(TRUE)
        set(PLATFORM_DEFINITIONS OPT_I386)
        target_sources(${TARGET} PRIVATE
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct64_i386.c")
    endif()

    cmake_host_system_information(RESULT HAVE_SSE QUERY HAS_SSE)
    if(CMAKE_SYSTEM_NAME STREQUAL "Android")
        set(HAVE_SSE ${WITH_SSE})
    endif()
    if(HAVE_SSE)
        set(PLATFORM_DEFINITIONS OPT_SSE)
        set(PLATFORM_SOURCES
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/tabinit_mmx.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct36_sse.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct64_sse_float.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_sse_float.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_sse_float.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_sse_s32.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_sse_s32.S")
        if(ACCURATE_ROUNDING)
            list(APPEND PLATFORM_SOURCES
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_sse_accurate.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_sse_accurate.S")
        else()
            list(APPEND PLATFORM_SOURCES
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct64_sse.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_sse.S")
        endif()
    endif()
elseif(MACHINE STREQUAL "arm64")
        set(PLATFORM_DEFINITIONS OPT_MULTI OPT_GENERIC OPT_GENERIC_DITHER OPT_NEON64)
        set(PLATFORM_SOURCES
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct36_neon64.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct64_neon64_float.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_neon64_float.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_neon64_s32.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_neon64_float.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_neon64_s32.S"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/check_neon.S")
        if(ACCURATE_ROUNDING)
            list(APPEND PLATFORM_SOURCES
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_neon64_accurate.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_neon64_accurate.S")
        else()
            list(APPEND PLATFORM_SOURCES
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_neon64.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_neon64.S")
        endif()
        target_sources(${TARGET} PRIVATE
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dither.c"
            "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/getcpuflags_arm.c")
elseif(MACHINE STREQUAL "arm32")
    if(HAVE_FPU)
            set(PLATFORM_DEFINITIONS OPT_MULTI OPT_GENERIC OPT_GENERIC_DITHER OPT_NEON)
            set(PLATFORM_SOURCES
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct36_neon.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct64_neon_float.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_neon_float.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_neon_s32.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_neon_float.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_neon_s32.S"
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/check_neon.S")
            target_sources(${TARGET} PRIVATE
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/getcpuflags_arm.c")
            if(ACCURATE_ROUNDING)
                list(APPEND PLATFORM_SOURCES
                    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_neon_accurate.S"
                    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_neon_accurate.S")
            else()
                list(APPEND PLATFORM_SOURCES
                    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dct64_neon.S"
                    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_neon.S"
                    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_stereo_neon.S")
            endif()
            target_sources(${TARGET} PRIVATE ${PLATFORM_SOURCES})
            target_sources(${TARGET} PRIVATE
                "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/dither.c")
    else()
            set(PLATFORM_DEFINITIONS OPT_ARM)
            if(ACCURATE_ROUNDING)
                set(PLATFORM_SOURCES
                    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_arm_accurate.S")
            else()
                set(PLATFORM_SOURCES
                    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libmpg123/synth_arm.S")
            endif()
            target_sources(${TARGET} PRIVATE ${PLATFORM_SOURCES})
    endif()
elseif(MACHINE STREQUAL "generic")
    set(PLATFORM_DEFINITIONS OPT_GENERIC)
endif()

set_target_properties(${TARGET} PROPERTIES OUTPUT_NAME mpg123)

target_compile_definitions(${TARGET} PRIVATE
    $<$<BOOL:$<TARGET_PROPERTY:POSITION_INDEPENDENT_CODE>>:PIC>)

target_compile_definitions(${TARGET} PRIVATE
    ${PLATFORM_DEFINITIONS}
    $<$<BOOL:${HAVE_FPU}>:REAL_IS_FLOAT>
    $<$<NOT:$<BOOL:${HAVE_FPU}>>:REAL_IS_FIXED>)

=== debian/changelog ===
mpg123 (1.32.5-1ubuntu1) noble; urgency=medium

  [ Steve Langasek ]
  * Rename libraries for 64-bit time_t transition. (Closes: #1063140)

  [ Simon Chopin ]
  * Only include 32bit compat symbols on i386 arches (Closes: #1067562)

 -- Simon Chopin <schopin@ubuntu.com>  Wed, 03 Apr 2024 20:29:56 +0200

mpg123 (1.32.5-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:08:02 +0000

mpg123 (1.32.5-1build1) noble; urgency=medium

  * No-change rebuild against libasound2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 06:39:44 +0000

mpg123 (1.32.5-1) unstable; urgency=medium

  * New upstream version 1.32.5

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 24 Feb 2024 21:46:32 +0100

mpg123 (1.32.4-1) unstable; urgency=medium

  * New upstream version 1.32.4

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 21 Jan 2024 17:52:21 +0100

mpg123 (1.32.3-1) unstable; urgency=medium

  * New upstream version 1.32.3
  * debian/patches: Refresh patches
  * debian/libmpg123-dev.docs: Install all NEWS files
  * debian/: Remove kfreebsd-any
  * debian/*.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 02 Oct 2023 21:42:56 +0200

=== debian/control ===
Source: mpg123
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>,
 Miguel A. Colón Vélez <debian.micove@gmail.com>,
 Sebastian Ramacher <sramacher@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 libasound2-dev [linux-any],
 libaudio-dev,
 libjack-dev,
 libltdl-dev,
 libopenal-dev,
 libpulse-dev [!hurd-i386],
 pkgconf,
 portaudio19-dev
Standards-Version: 4.6.2
Homepage: http://mpg123.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/mpg123.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg123
Rules-Requires-Root: no

Package: mpg123
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 alsa-utils [linux-any],
 jackd,
 nas,
 oss-compat [linux-any],
 oss4-base [linux-any],
 pulseaudio
Description: MPEG layer 1/2/3 audio player
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains output plugins for several audio systems, including
 OSS4, the Advanced Linux Sound Architecture (ALSA), JACK, PortAudio,
 PulseAudio, OpenAL and the Network Audio System (NAS).

Package: libmpg123-0t64
Provides: ${t64:Provides}
Replaces: libmpg123-0
Breaks: libmpg123-0 (<< ${source:Version})
Multi-Arch: same
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MPEG layer 1/2/3 audio decoder (shared library)
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains the C libraries needed to run executables that use
 the mpg123 library.

Package: libout123-0t64
Provides: ${t64:Provides}
Replaces: libout123-0
Breaks: libout123-0 (<< ${source:Version})
Multi-Arch: same
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MPEG layer 1/2/3 audio decoder (libout123 shared library)
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains the shared out123 library.

Package: libsyn123-0t64
Provides: ${t64:Provides}
Replaces: libsyn123-0
Breaks: libsyn123-0 (<< ${source:Version})
Multi-Arch: same
Architecture: any
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: MPEG layer 1/2/3 audio decoder (libsyn123 shared library)
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains the shared syn123 library.

Package: libmpg123-dev
Multi-Arch: same
Architecture: any
Section: libdevel
Depends:
 libmpg123-0t64 (= ${binary:Version}),
 libout123-0t64 (= ${binary:Version}),
 libsyn123-0t64 (= ${binary:Version}),
 ${misc:Depends}
Description: MPEG layer 1/2/3 audio decoder (development files)
 mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers
 1, 2 and 3 (MPEG 1.0 layer 3 also known as MP3).
 .
 This package contains the C development headers and library files needed
 to compile programs using the mpg123 library.

## mpg123 1.32.6

=== debian/changelog ===
mpg123 (1.32.6-3) unstable; urgency=medium

  * debian/*.symbols: Fix architectures (Closes: #1068623)
    Thanks to Christian Marillat.
  * debian/control: Bump Standards-Version

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 08 Apr 2024 23:05:29 +0200

mpg123 (1.32.6-2) unstable; urgency=medium

  * debian/: Fix symbols on armel and armhf
  * debian/rules: Use upstream recommended CPU settings for arm* architectures

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Apr 2024 23:23:43 +0200

mpg123 (1.32.6-1) unstable; urgency=medium

  [ Sebastian Ramacher ]
  * New upstream version 1.32.6

  [ Steve Langasek ]
  * Rename libraries for 64-bit time_t transition. (Closes: #1063140)

  [ Simon Chopin ]
  * Only include 32bit compat symbols on i386 arches (Closes: #1067562)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 05 Apr 2024 13:31:38 +0200

## mpg123 1.32.7

=== debian/changelog ===
mpg123 (1.32.7-1ubuntu0.1) oracular-security; urgency=medium

  * SECURITY UPDATE: OOB write during PCM decoding
    - debian/patches/CVE-2024-10573-1.patch: don't prepare for actual frame
      data when there is none in src/libmpg123/parse.c.
    - debian/patches/CVE-2024-10573-2.patch: separate header data into a
      struct, ensure late updating in frame in src/libmpg123/frame.c,
      src/libmpg123/frame.h, src/libmpg123/layer1.c,
      src/libmpg123/layer2.c, src/libmpg123/layer3.c,
      src/libmpg123/libmpg123.c, src/libmpg123/parse.c.
    - CVE-2024-10573

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Nov 2024 13:23:00 -0500

mpg123 (1.32.7-1) unstable; urgency=medium

  * New upstream version 1.32.7

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 Aug 2024 10:12:07 +0200

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Sebastian Ramacher <sramacher@debian.org>
 Build-Depends:
+ dpkg-dev (>= 1.22.5),
  debhelper-compat (= 13),
  libasound2-dev [linux-any],
  libaudio-dev,
@@ -17,7 +18,7 @@
  libpulse-dev [!hurd-i386],
  pkgconf,
  portaudio19-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: http://mpg123.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpg123.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg123

## mpg123 1.32.8

=== debian/changelog ===
mpg123 (1.32.8-1deepin1) unstable; urgency=medium

  * revert t64 patch.

 -- lichenggang <lichenggang@deepin.org>  Thu, 31 Oct 2024 10:26:50 +0800

mpg123 (1.32.8-1) unstable; urgency=medium

  [ Bastian Germann ]
  * Generalize hurd-i386 to hurd-any

  [ Sebastian Ramacher ]
  * New upstream version 1.32.8

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 27 Oct 2024 19:48:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mpg123
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders:
  Reinhard Tartler <siretart@tauware.de>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
@@ -15,7 +14,7 @@
  libjack-dev,
  libltdl-dev,
  libopenal-dev,
- libpulse-dev [!hurd-i386],
+ libpulse-dev [!hurd-any],
  pkgconf,
  portaudio19-dev
 Standards-Version: 4.7.0
@@ -44,10 +43,7 @@
  OSS4, the Advanced Linux Sound Architecture (ALSA), JACK, PortAudio,
  PulseAudio, OpenAL and the Network Audio System (NAS).
 
-Package: libmpg123-0t64
-Provides: ${t64:Provides}
-Replaces: libmpg123-0
-Breaks: libmpg123-0 (<< ${source:Version})
+Package: libmpg123-0
 Multi-Arch: same
 Architecture: any
 Section: libs
@@ -61,10 +57,7 @@
  This package contains the C libraries needed to run executables that use
  the mpg123 library.
 
-Package: libout123-0t64
-Provides: ${t64:Provides}
-Replaces: libout123-0
-Breaks: libout123-0 (<< ${source:Version})
+Package: libout123-0
 Multi-Arch: same
 Architecture: any
 Section: libs
@@ -77,10 +70,7 @@
  .
  This package contains the shared out123 library.
 
-Package: libsyn123-0t64
-Provides: ${t64:Provides}
-Replaces: libsyn123-0
-Breaks: libsyn123-0 (<< ${source:Version})
+Package: libsyn123-0
 Multi-Arch: same
 Architecture: any
 Section: libs
@@ -98,9 +88,9 @@
 Architecture: any
 Section: libdevel
 Depends:
- libmpg123-0t64 (= ${binary:Version}),
- libout123-0t64 (= ${binary:Version}),
- libsyn123-0t64 (= ${binary:Version}),
+ libmpg123-0 (= ${binary:Version}),
+ libout123-0 (= ${binary:Version}),
+ libsyn123-0 (= ${binary:Version}),
  ${misc:Depends}
 Description: MPEG layer 1/2/3 audio decoder (development files)
  mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers

## mpg123 1.32.10

=== debian/changelog ===
mpg123 (1.32.10-1) unstable; urgency=medium

  [ Bastien Roucariès ]
  * Add salsa-ci

  [ Sebastian Ramacher ]
  * New upstream version 1.32.10
    - Use strtok_r for multi-threaded use (Closes: #1089543)

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 22 Dec 2024 23:07:30 +0100

mpg123 (1.32.9-1) unstable; urgency=medium

  * New upstream release
    Fixes: CVE-2024-10573, Closes: #1086443

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 11 Nov 2024 06:46:18 -0500

=== debian/control ===
--- 
+++ 
@@ -43,7 +43,10 @@
  OSS4, the Advanced Linux Sound Architecture (ALSA), JACK, PortAudio,
  PulseAudio, OpenAL and the Network Audio System (NAS).
 
-Package: libmpg123-0
+Package: libmpg123-0t64
+Provides: ${t64:Provides}
+Replaces: libmpg123-0
+Breaks: libmpg123-0 (<< ${source:Version})
 Multi-Arch: same
 Architecture: any
 Section: libs
@@ -57,7 +60,10 @@
  This package contains the C libraries needed to run executables that use
  the mpg123 library.
 
-Package: libout123-0
+Package: libout123-0t64
+Provides: ${t64:Provides}
+Replaces: libout123-0
+Breaks: libout123-0 (<< ${source:Version})
 Multi-Arch: same
 Architecture: any
 Section: libs
@@ -70,7 +76,10 @@
  .
  This package contains the shared out123 library.
 
-Package: libsyn123-0
+Package: libsyn123-0t64
+Provides: ${t64:Provides}
+Replaces: libsyn123-0
+Breaks: libsyn123-0 (<< ${source:Version})
 Multi-Arch: same
 Architecture: any
 Section: libs
@@ -88,9 +97,9 @@
 Architecture: any
 Section: libdevel
 Depends:
- libmpg123-0 (= ${binary:Version}),
- libout123-0 (= ${binary:Version}),
- libsyn123-0 (= ${binary:Version}),
+ libmpg123-0t64 (= ${binary:Version}),
+ libout123-0t64 (= ${binary:Version}),
+ libsyn123-0t64 (= ${binary:Version}),
  ${misc:Depends}
 Description: MPEG layer 1/2/3 audio decoder (development files)
  mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers

## mpg123 1.33.0

=== debian/changelog ===
mpg123 (1.33.0-1) experimental; urgency=medium

  * New upstream version 1.33.0
  * debian/control: Bump Standards-Version
  * debian/copyright: Bump copyright years
  * debian/libmpg123-0t64.symbols: Add new symbols

 -- Sebastian Ramacher <sramacher@debian.org>  Thu, 19 Jun 2025 18:39:33 +0200

## mpg123 1.33.2

=== debian/changelog ===
mpg123 (1.33.2-1) unstable; urgency=medium

  * New upstream version 1.33.2
  * Upload to unstable

 -- Sebastian Ramacher <sramacher@debian.org>  Wed, 06 Aug 2025 12:30:09 +0200

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
  libpulse-dev [!hurd-any],
  pkgconf,
  portaudio19-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: http://mpg123.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpg123.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg123

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

WRAPPER_TARGETS:=mpg123-oss mpg123-nas mpg123-jack mpg123-openal mpg123-portaudio
ifeq ($(DEB_HOST_ARCH_OS),linux)
	WRAPPER_TARGETS += mpg123-alsa
endif
ifneq ($(DEB_HOST_ARCH_OS),hurd)
	WRAPPER_TARGETS += mpg123-pulse
endif

CONF_i386:=--with-cpu=x86_dither
CONF_armel:=--with-cpu=arm_nofpu
CONF_armhf:=--with-cpu=arm_fpu
CONF_arm64:=--with-cpu=aarch64

mpg123-%: debian/mpg123-wrapper.in
	dh_testdir
	o=`echo $@ | sed -e 's/^mpg123-\([^-]\+\).*/\1/'`; \
	sed -e "s/@OUTPUT@/$$o/g" < debian/mpg123-wrapper.in > $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-static=no \
		--enable-shared \
		--enable-lfs-alias \
		--includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH) \
		$(CONF_$(DEB_HOST_ARCH))

override_dh_auto_clean:
	dh_auto_clean
	rm -f $(WRAPPER_TARGETS)

override_dh_auto_install: $(WRAPPER_TARGETS)
	dh_auto_install

	mv $(CURDIR)/debian/tmp/usr/bin/mpg123 \
	   $(CURDIR)/debian/tmp/usr/bin/mpg123.bin
	mv $(CURDIR)/debian/tmp/usr/share/man/man1/mpg123.1 \
	   $(CURDIR)/debian/tmp/usr/share/man/man1/mpg123.bin.1
	install $(WRAPPER_TARGETS) $(CURDIR)/debian/tmp/usr/bin/
	for i in $(WRAPPER_TARGETS); do \
		install debian/mpg123-wrapper.1 \
		        $(CURDIR)/debian/tmp/usr/share/man/man1/$$i.1; \
	done

override_dh_installchangelogs:
	dh_installchangelogs -pmpg123 NEWS
	dh_installchangelogs --remaining-packages

%:
	dh $@

## mpg123 1.33.3

=== ports/cmake/src/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

include(CheckCSourceCompiles)
include(CheckFunctionExists)
include(CheckIncludeFile)
include(CheckIncludeFiles)
include(CheckSymbolExists)
include(CheckTypeSize)
include(CMakeDependentOption)
include(TestBigEndian)

option(PORTABLE_API "Only build portable library API (no off_t, no internal I/O." OFF)

check_include_file("arpa/inet.h" HAVE_ARPA_INET_H)
check_include_file("dirent.h" HAVE_DIRENT_H)
check_include_file("dlfcn.h" HAVE_DLFCN_H)
check_include_file("langinfo.h" HAVE_LANGINFO_H)
check_include_file("locale.h" HAVE_LOCALE_H)
check_include_file("netdb.h" HAVE_NETDB_H)
check_include_file("netinet/in.h" HAVE_NETINET_IN_H)
check_include_file("sched.h" HAVE_SCHED_H)
check_include_file("signal.h" HAVE_SIGNAL_H)
check_include_file("strings.h" HAVE_STRINGS_H)
check_include_file("sys/ioctl.h" HAVE_SYS_IOCTL_H)
check_include_file("sys/ipc.h" HAVE_SYS_IPC_H)
check_include_file("sys/param.h" HAVE_SYS_PARAM_H)
check_include_file("sys/resource.h" HAVE_SYS_RESOURCE_H)
check_include_file("sys/select.h" HAVE_SYS_SELECT_H)
check_include_file("sys/shm.h" HAVE_SYS_SHM_H)
check_include_file("sys/signal.h" HAVE_SYS_SIGNAL_H)
check_include_file("sys/socket.h" HAVE_SYS_SOCKET_H)
check_include_file("sys/stat.h" HAVE_SYS_STAT_H)
check_include_file("sys/time.h" HAVE_SYS_TIME_H)
check_include_file("sys/types.h" HAVE_SYS_TYPES_H)
check_include_file("sys/wait.h" HAVE_SYS_WAIT_H)
check_include_file("termios.h" HAVE_TERMIOS)
check_include_file("unistd.h" HAVE_UNISTD_H)
check_include_file("windows.h" HAVE_WINDOWS_H)
function(check_m)
    set(CMAKE_REQUIRED_LIBRARIES m)
    check_function_exists(sin HAVE_M)
endfunction(check_m)
check_m()
# Cargo coding the check if there is a library rt, possibly providing
# a canary symbol. I am not sure if this logic really mirrors what
# autotools does.
function(check_rt)
    set(CMAKE_REQUIRED_LIBRARIES rt)
    check_function_exists(clock_gettime HAVE_RT)
endfunction(check_rt)
check_rt()

check_function_exists(atoll HAVE_ATOLL)
check_function_exists(getaddrinfo HAVE_IPV6)
check_function_exists(mkfifo HAVE_MKFIFO)
check_function_exists(mmap HAVE_MMAP)
check_function_exists(nl_langinfo HAVE_NL_LANGINFO)
check_function_exists(random HAVE_RANDOM)
check_function_exists(setenv HAVE_SETENV)
check_function_exists(unsetenv HAVE_UNSETENV)
check_function_exists(setlocale HAVE_SETLOCALE)
check_function_exists(uselocale HAVE_USELOCALE)
check_function_exists(setpriority HAVE_SETPRIORITY)
check_function_exists(shmget HAVE_SHMGET)
check_function_exists(shmat HAVE_SHMAT)
check_function_exists(shmdt HAVE_SHMDT)
check_function_exists(shmctl HAVE_SHMCTL)
check_function_exists(strerror HAVE_STRERROR)
check_function_exists(strerror_l HAVE_STRERROR_L)
check_function_exists(strtok_r HAVE_STRTOK_R)
check_function_exists(strtok_s HAVE_STRTOK_S)
check_function_exists(fork HAVE_FORK)
check_function_exists(execvp HAVE_EXECVP)
check_function_exists(ctermid HAVE_CTERMID)
check_function_exists(clock_gettime HAVE_CLOCK_GETTIME)

check_type_size(off_t SIZEOF_OFF_T)

if(SIZEOF_OFF_T LESS 8)
check_function_exists(lseek64 LFS_LARGEFILE_64)

if(LFS_LARGEFILE_64)
check_c_source_compiles(
    "    #define _LARGEFILE64_SOURCE
    #include <sys/types.h>
    #include <sys/stat.h>
    #include <unistd.h>
    #include <fcntl.h>

    int main(){ return open(\"/foo\", O_RDONLY|O_LARGEFILE); }
    " HAVE_O_LARGEFILE)
endif()
endif()

search_libs(gethostbyname GETHOSTBYNAME_LIB nsl socket network)
search_libs(socket SOCKET_LIB socket)

test_big_endian(WORDS_BIGENDIAN)

check_c_source_compiles(
    "int main() { __asm__(\".balign 4\"); return 0; }"
    ASMALIGN_BALIGN)
check_c_source_compiles(
    "int main() { __asm__(\".align 3\"); return 0; }"
    ASMALIGN_EXP)
if(NOT ASMALIGN_EXP)
    set(ASMALIGN_BYTE ON)
endif()

check_c_source_compiles(
    "int main() { __attribute__((aligned(16))) float var; return 0; }"
    CCALIGN)

if(NOT LFS_INSENSITIVE)
    check_c_source_compiles("
        #include <sys/types.h>
          /* Check that off_t can represent 2**63 - 1 correctly.
            We can't simply define LARGE_OFF_T to be 9223372036854775807,
            since some C++ compilers masquerading as C compilers
            incorrectly reject 9223372036854775807.  */
        #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
        int off_t_is_large[
            (LARGE_OFF_T % 2147483629 == 721 && LARGE_OFF_T % 2147483647 == 1) ? 1 : -1];
        int main() { return 0; }"
        LFS_INSENSITIVE)
endif()
if(NOT LFS_INSENSITIVE)
    check_c_source_compiles("
        #define _FILE_OFFSET_BITS 64
        #include <sys/types.h>
         /* Check that off_t can represent 2**63 - 1 correctly.
            We can't simply define LARGE_OFF_T to be 9223372036854775807,
            since some C++ compilers masquerading as C compilers
            incorrectly reject 9223372036854775807.  */
        #define LARGE_OFF_T (((off_t) 1 << 62) - 1 + ((off_t) 1 << 62))
        int off_t_is_large[
            (LARGE_OFF_T % 2147483629 == 721 && LARGE_OFF_T % 2147483647 == 1) ? 1 : -1];
        int main() { return 0; }"
        LFS_SENSITIVE)
endif()

if(WIN32 AND HAVE_WINDOWS_H)
    check_function_exists(GetThreadErrorMode HAVE_GETTHREADERRORMODE)
    if(HAVE_GETTHREADERRORMODE)
        check_c_source_compiles("
            #include <windows.h>

            int main() {
              LoadLibraryW(0);
              GetProcAddress(0, 0);
              FreeLibrary(0);
            }"
            HAVE_WIN_DL)
    else()
        set(HAVE_WIN_DL OFF)
    endif()
else()
    function(check_dl)
        set(CMAKE_REQUIRED_LIBRARIES dl)
        check_symbol_exists(dlopen "dlfcn.h" HAVE_UNIX_DL)
    endfunction(check_dl)
    check_dl()
endif()

set(DYNAMIC_BUILD ${BUILD_SHARED_LIBS})
if(MSVC)
    set(STDERR_FILENO "(_fileno(stderr))")
    set(STDIN_FILENO "(_fileno(stdin))")
    set(STDOUT_FILENO "(_fileno(stdout))")
endif()
set(HAVE_WIN32_FIFO ${WIN32})
set(WANT_WIN32_UNICODE ${WIN32})
set(WITH_SEEKTABLE 1000)

if(NOT WITH_SEEKTABLE EQUAL 0)
    set(FRAME_INDEX 1)
endif()

if(WIN32)
    set(HAVE_MKFIFO ON)
endif()

if(HAVE_NETDB_H AND HAVE_SYS_PARAM_H AND HAVE_SYS_SOCKET_H AND HAVE_NETINET_IN_H AND HAVE_ARPA_INET_H)
    set(HAVE_NETWORK ON)
endif()

if(NO_MESSAGES)
    set(NO_WARNING ON)
    set(NO_ERRORMSG ON)
    set(NO_ERETURN ON)
endif()

include(../cmake/CheckCPUArch.cmake)
check_cpu_arch_x86(ARCH_IS_X86)
check_cpu_arch_x64(ARCH_IS_X64)
check_cpu_arch_arm32(ARCH_IS_ARM32)
check_cpu_arch_arm64(ARCH_IS_ARM64)

if(WIN32 OR (ARCH_IS_ARM64 AND APPLE))
    set(HAVE_FPU 1)
else()
    cmake_host_system_information(RESULT HAVE_FPU QUERY HAS_FPU)
endif()

if(NOT HAVE_FPU)
    set(NO_SYNTH32 ON)
endif()

# Modules

if(BUILD_LIBOUT123)
    if(CHECK_MODULES)
        list(FIND CHECK_MODULES alsa ALSA_REQUIRED)
        list(FIND CHECK_MODULES coreaudio COREAUDIO_REQUIRED)
        list(FIND CHECK_MODULES pulse PULSE_REQUIRED)
        list(FIND CHECK_MODULES jack JACK_REQUIRED)
        list(FIND CHECK_MODULES tinyalsa TINYALSA_REQUIRED)
        list(FIND CHECK_MODULES win32 WIN32_REQUIRED)
        list(FIND CHECK_MODULES win32_wasapi WIN32_WASAPI_REQUIRED)
        set(MODULE_NOT_FOUND_MESSAGE "module required but couldn't be found")
    endif()

    if(NOT CHECK_MODULES OR NOT ALSA_REQUIRED EQUAL -1)
        find_package(ALSA)
        if(TARGET ALSA::ALSA)
            list(APPEND OUTPUT_MODULES alsa)
        elseif(CHECK_MODULES AND NOT ALSA_REQUIRED EQUAL -1)
            message(FATAL_ERROR "alsa ${MODULE_NOT_FOUND_MESSAGE}")
        endif()
    endif()

    if(NOT CHECK_MODULES OR NOT COREAUDIO_REQUIRED EQUAL -1)
        if(APPLE)
            find_library(AUDIO_TOOLBOX AudioToolbox)
            list(APPEND OUTPUT_MODULES coreaudio)
        elseif(CHECK_MODULES AND NOT COREAUDIO_REQUIRED EQUAL -1)
            message(FATAL_ERROR "coreaudio ${MODULE_NOT_FOUND_MESSAGE}")
        endif()
    endif()

    find_package(PkgConfig)
    if(PKG_CONFIG_FOUND)
        if(NOT CHECK_MODULES OR NOT PULSE_REQUIRED EQUAL -1)
            pkg_search_module(PULSE libpulse-simple)
            if(PULSE_FOUND)
                list(APPEND OUTPUT_MODULES pulse)
            elseif(CHECK_MODULES AND NOT PULSE_REQUIRED EQUAL -1)
                message(FATAL_ERROR "pulse ${MODULE_NOT_FOUND_MESSAGE}")
            endif()
        endif()

        if(NOT CHECK_MODULES OR NOT JACK_REQUIRED EQUAL -1)
            pkg_search_module(JACK jack)
            if(JACK_FOUND)
                list(APPEND OUTPUT_MODULES jack)
            elseif(CHECK_MODULES AND NOT JACK_REQUIRED EQUAL -1)
                message(FATAL_ERROR "jack ${MODULE_NOT_FOUND_MESSAGE}")
            endif()
        endif()

        if(NOT CHECK_MODULES OR NOT TINYALSA_REQUIRED EQUAL -1)
            pkg_search_module(TINYALSA tinyalsa)
            if(TINYALSA_FOUND)
                list(APPEND OUTPUT_MODULES tinyalsa)
            elseif(CHECK_MODULES AND NOT TINYALSA_REQUIRED EQUAL -1)
                message(FATAL_ERROR "tinyalsa ${MODULE_NOT_FOUND_MESSAGE}")
            endif()
        endif()
    endif()

    if(NOT CHECK_MODULES OR NOT WIN32_REQUIRED EQUAL -1)
        if(HAVE_WINDOWS_H)
            set(WIN32_LIBRARIES winmm)
            list(APPEND OUTPUT_MODULES win32)
        elseif(CHECK_MODULES AND NOT WIN32_REQUIRED EQUAL -1)
            message(FATAL_ERROR "win32 ${MODULE_NOT_FOUND_MESSAGE}")
        endif()
    endif()

    if(NOT CHECK_MODULES OR NOT WIN32_WASAPI_REQUIRED EQUAL -1)
        set(WASAPI_INCLUDES "initguid.h" "audioclient.h" "mmdeviceapi.h" "avrt.h")
        check_include_files("${WASAPI_INCLUDES}" HAVE_WASAPI)
        if(HAVE_WASAPI)
            set(WIN32_WASAPI_LIBRARIES ole32 avrt)
            list(APPEND OUTPUT_MODULES win32_wasapi)
        elseif(CHECK_MODULES AND NOT WIN32_WASAPI_REQUIRED EQUAL -1)
            message(FATAL_ERROR "win32_wasapi ${MODULE_NOT_FOUND_MESSAGE}")
        endif()
    endif()

    if(CHECK_MODULES)
        list(REMOVE_AT CHECK_MODULES
            ${ALSA_REQUIRED}
            ${COREAUDIO_REQUIRED}
            ${PULSE_REQUIRED}
            ${JACK_REQUIRED}
            ${TINYALSA_REQUIRED}
            ${WIN32_REQUIRED}
            ${WIN32_WASAPI_REQUIRED})
        list(LENGTH CHECK_MODULES CHECK_MODULES_LENGTH)
        if(NOT CHECK_MODULES_LENGTH EQUAL 0)
            message(FATAL_ERROR "Dunno how to find modules: ${CHECK_MODULES}")
        endif()
    endif()

    if(NOT OUTPUT_MODULES)
        set(DEFAULT_OUTPUT_MODULE dummy)
        set(DEFAULT_OUTPUT_MODULES ${DEFAULT_OUTPUT_MODULE})
    else()
        list(GET OUTPUT_MODULES 0 _DEFAULT_OUTPUT_MODULE)
        set(DEFAULT_OUTPUT_MODULE ${_DEFAULT_OUTPUT_MODULE} CACHE STRING "Default output module")
        if(BUILD_SHARED_LIBS)
            string(REPLACE ";" "," DEFAULT_OUTPUT_MODULES "${OUTPUT_MODULES}")
        else()
            set(DEFAULT_OUTPUT_MODULES ${DEFAULT_OUTPUT_MODULE})
        endif()
        set_property(CACHE DEFAULT_OUTPUT_MODULE PROPERTY STRINGS ${OUTPUT_MODULES})
    endif()
endif()

option(ACCURATE_ROUNDING "use rounding instead of fast truncation for integer output, where possible" ON)
cmake_dependent_option(FIFO "FIFO support for control interface" ON "HAVE_MKFIFO" OFF)
option(GAPLESS "enable gapless" ON)
option(IEEE_FLOAT "use special hackery relying on IEEE 754 floating point storage format (to accurately round to 16 bit integer at bit more efficiently in generic decoder, enabled by default, disable in case you have a very special computer)" ON)
cmake_dependent_option(IPV6 "IPv6 support (actually any protocol your libc does with getaddrinfo)" ON "HAVE_IPV6" OFF)
if(CMAKE_C_COMPILER_ID MATCHES "GNU|Clang")
    option(NAGGING "turn on GCC's pedantic nagging with error on warnings" OFF)
    if(NAGGING)
        set(CMAKE_C_STANDARD 99)
        set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Werror -pedantic")
    endif()
endif()
cmake_dependent_option(NETWORK "network support (http streams / webradio)" ON "HAVE_NETWORK" OFF)

=== ports/cmake/src/libsyn123/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.12)

include_directories("${CMAKE_CURRENT_BINARY_DIR}" "${CMAKE_CURRENT_SOURCE_DIR}/../../../src/libsyn123/")

set(TARGET libsyn123)
add_library(${TARGET}
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libsyn123/pinknoise.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libsyn123/geiger.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libsyn123/libsyn123.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libsyn123/volume.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libsyn123/resample.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libsyn123/filter.c"
    "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/libsyn123/sampleconv.c"
    $<TARGET_OBJECTS:compat_str>)

set_target_properties(${TARGET} PROPERTIES OUTPUT_NAME syn123)

target_include_directories(${TARGET} INTERFACE
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
    "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>")

if(HAVE_M)
    string(APPEND LIBSYN123_LIBS " -lm")
endif()
set(LIBSYN123_LIBS "${LIBSYN123_LIBS}" PARENT_SCOPE)
target_link_libraries(${TARGET} PRIVATE
    $<$<BOOL:${HAVE_M}>:m>)

install(TARGETS ${TARGET} EXPORT targets
    ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/"
    LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/"
    RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/")
install(FILES "${CMAKE_CURRENT_SOURCE_DIR}/../../../../src/include/syn123.h"
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}")

=== ports/cmake/src/libout123/modules/CMakeLists.txt ===
if(NOT USE_MODULES)
    add_library(defaultmodule STATIC
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},dummy>:dummy.c>"
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},coreaudio>:coreaudio.c>"
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},alsa>:alsa.c>"
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},tinyalsa>:tinyalsa.c>"
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},pulse>:pulse.c>"
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},jack>:jack.c>"
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},win32>:win32.c>"
        "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/$<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},win32_wasapi>:win32_wasapi.c>")
    target_link_libraries(defaultmodule PUBLIC
        $<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},alsa>:ALSA::ALSA>
        $<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},tinyalsa>:${TINYALSA_LIBRARIES}>
        $<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},coreaudio>:${AUDIO_TOOLBOX}>
        $<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},pulse>:${PULSE_LIBRARIES}>
        $<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},jack>:${JACK_LIBRARIES}>
        $<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},win32>:${WIN32_LIBRARIES}>
        $<$<STREQUAL:${DEFAULT_OUTPUT_MODULE},win32_wasapi>:${WIN32_WASAPI_LIBRARIES}>)
    if(DEFAULT_OUTPUT_MODULE STREQUAL "pulse")
        target_compile_options(defaultmodule PRIVATE ${PULSE_CFLAGS})
    elseif(DEFAULT_OUTPUT_MODULE STREQUAL "jack")
        target_compile_options(defaultmodule PRIVATE ${JACK_CFLAGS})
    elseif(DEFAULT_OUTPUT_MODULE STREQUAL "tinyalsa")
        target_compile_options(defaultmodule PRIVATE ${TINYALSA_CFLAGS})
    endif()
    if(BUILD_SHARED_LIBS)
        set_target_properties(defaultmodule PROPERTIES POSITION_INDEPENDENT_CODE ON)
    endif()
else()
    set(CMAKE_SHARED_MODULE_PREFIX "")
    list(FIND OUTPUT_MODULES coreaudio INDEX)
    if(NOT INDEX EQUAL -1)
        add_library(output_coreaudio MODULE "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/coreaudio.c")
        target_link_libraries(output_coreaudio PRIVATE ${AUDIO_TOOLBOX})
        install(TARGETS output_coreaudio
            ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}")
    endif()
    list(FIND OUTPUT_MODULES alsa INDEX)
    if(NOT INDEX EQUAL -1)
        add_library(output_alsa MODULE "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/alsa.c")
        target_link_libraries(output_alsa PRIVATE ALSA::ALSA)
        install(TARGETS output_alsa
            ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}")
    endif()
    list(FIND OUTPUT_MODULES pulse INDEX)
    if(NOT INDEX EQUAL -1)
        add_library(output_pulse MODULE "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/pulse.c")
        target_compile_options(output_pulse PRIVATE ${PULSE_CFLAGS})
        target_link_libraries(output_pulse PRIVATE ${PULSE_LIBRARIES})
        install(TARGETS output_pulse
            ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}")
    endif()
    list(FIND OUTPUT_MODULES jack INDEX)
    if(NOT INDEX EQUAL -1)
        add_library(output_jack MODULE "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/jack.c"
            $<TARGET_OBJECTS:compat_str>)
        target_compile_options(output_jack PRIVATE ${JACK_CFLAGS})
        target_link_libraries(output_jack PRIVATE ${JACK_LIBRARIES})
        install(TARGETS output_jack
            ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}")
    endif()
    list(FIND OUTPUT_MODULES tinyalsa INDEX)
    if(NOT INDEX EQUAL -1)
        add_library(output_tinyalsa MODULE "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/tinyalsa.c")
        target_compile_options(output_tinyalsa PRIVATE ${TINYALSA_CFLAGS})
        target_link_libraries(output_tinyalsa PRIVATE ${TINYALSA_LIBRARIES})
        install(TARGETS output_tinyalsa
            ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}")
    endif()
    list(FIND OUTPUT_MODULES win32 INDEX)
    if(NOT INDEX EQUAL -1)
        add_library(output_win32 MODULE "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/win32.c")
        target_link_libraries(output_win32 PRIVATE ${WIN32_LIBRARIES})
        install(TARGETS output_win32
            ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}")
    endif()
    list(FIND OUTPUT_MODULES win32_wasapi INDEX)
    if(NOT INDEX EQUAL -1)
        add_library(output_win32_wasapi MODULE "${CMAKE_CURRENT_SOURCE_DIR}/../../../../../src/libout123/modules/win32_wasapi.c"
            $<TARGET_OBJECTS:compat_str>)
        target_link_libraries(output_win32_wasapi PRIVATE ${WIN32_WASAPI_LIBRARIES})
        install(TARGETS output_win32_wasapi
            ARCHIVE DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            LIBRARY DESTINATION "${CMAKE_INSTALL_LIBDIR}/${PROJECT_NAME}"
            RUNTIME DESTINATION "${CMAKE_INSTALL_BINDIR}/${PROJECT_NAME}")
    endif()
endif()

=== debian/changelog ===
mpg123 (1.33.3-1) unstable; urgency=medium

  * New upstream version 1.33.3
  * debian/watch: Use version 5
  * debian/control:
    - Drop RRR: no
    - Remove no longer existing oss4-base from Suggests
  * debian/rules: Drop armel handling

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 10 Oct 2025 18:47:18 +0200

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,13 @@
  libjack-dev,
  libltdl-dev,
  libopenal-dev,
- libpulse-dev [!hurd-any],
+ libpulse-dev [linux-any],
  pkgconf,
  portaudio19-dev
 Standards-Version: 4.7.2
 Homepage: http://mpg123.org/
 Vcs-Git: https://salsa.debian.org/multimedia-team/mpg123.git
 Vcs-Browser: https://salsa.debian.org/multimedia-team/mpg123
-Rules-Requires-Root: no
 
 Package: mpg123
 Architecture: any
@@ -33,7 +32,6 @@
  jackd,
  nas,
  oss-compat [linux-any],
- oss4-base [linux-any],
  pulseaudio
 Description: MPEG layer 1/2/3 audio player
  mpg123 is a real time MPEG 1.0/2.0/2.5 audio player/decoder for layers

=== debian/rules ===
--- 
+++ 
@@ -6,14 +6,10 @@
 
 WRAPPER_TARGETS:=mpg123-oss mpg123-nas mpg123-jack mpg123-openal mpg123-portaudio
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-	WRAPPER_TARGETS += mpg123-alsa
-endif
-ifneq ($(DEB_HOST_ARCH_OS),hurd)
-	WRAPPER_TARGETS += mpg123-pulse
+	WRAPPER_TARGETS += mpg123-alsa mpg123-pulse
 endif
 
 CONF_i386:=--with-cpu=x86_dither
-CONF_armel:=--with-cpu=arm_nofpu
 CONF_armhf:=--with-cpu=arm_fpu
 CONF_arm64:=--with-cpu=aarch64
 
@@ -30,13 +26,10 @@
 		--includedir=\$${prefix}/include/$(DEB_HOST_MULTIARCH) \
 		$(CONF_$(DEB_HOST_ARCH))
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -f $(WRAPPER_TARGETS)
 
-override_dh_auto_install: $(WRAPPER_TARGETS)
-	dh_auto_install
-
+execute_after_dh_auto_install: $(WRAPPER_TARGETS)
 	mv $(CURDIR)/debian/tmp/usr/bin/mpg123 \
 	   $(CURDIR)/debian/tmp/usr/bin/mpg123.bin
 	mv $(CURDIR)/debian/tmp/usr/share/man/man1/mpg123.1 \

=== debian/watch ===
Version: 5

Source: https://sf.net/mpg123
Matching-Pattern: mpg123-@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Sig-Url-Mangle: s/$/.sig/
